## indigo 1.1.11

=== api/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.8)

project(Indigo)

include(indigo-version.cmake)
include(DefineTest)

MESSAGE(STATUS "Indigo version is ${INDIGO_VERSION}")
SET(INDIGO_VERSION "${INDIGO_VERSION}" PARENT_SCOPE) # promote Indigo version
configure_file(${Indigo_SOURCE_DIR}/src/indigo_version.h.in ${Indigo_SOURCE_DIR}/src/indigo_version.h)

file (GLOB Indigo_src src/*.c*)
file (GLOB Indigo_headers *.h* src/*.h*)

# Get defined variable with the headers for TinyXML
get_directory_property(TinyXML_HEADERS_DIR DIRECTORY ../third_party/tinyxml DEFINITION TinyXML_HEADERS_DIR)

include_directories(${Indigo_SOURCE_DIR} ${Common_SOURCE_DIR} ${Common_SOURCE_DIR}/.. ${TinyXML_HEADERS_DIR})

# Indigo static
if (NOT NO_STATIC)
	add_library(indigo STATIC ${Indigo_src} ${Indigo_headers})
	SET_TARGET_PROPERTIES(indigo PROPERTIES OUTPUT_NAME "indigo-static")
	set_target_properties(indigo PROPERTIES COMPILE_FLAGS "${COMPILE_FLAGS}")
	target_link_libraries(indigo molecule reaction layout tinyxml)
	set_property(TARGET indigo PROPERTY FOLDER "indigo")
	# No exports in case of static library: define empty EXPORT_SYMBOL definition
	set_target_properties(indigo PROPERTIES COMPILE_FLAGS "${COMPILE_FLAGS} -DEXPORT_SYMBOL= ")
	pack_static(indigo)

	DEFINE_TEST(indigo-c-test-static "tests/c/indigo-test.c;${Common_SOURCE_DIR}/hacks/memcpy.c" indigo)
	# Add stdc++ library required by indigo
	SET_TARGET_PROPERTIES(indigo-c-test-static PROPERTIES LINKER_LANGUAGE CXX)
	if (UNIX AND NOT APPLE)
		if(${SUBSYSTEM_NAME} MATCHES "x64")
			set_target_properties(indigo-c-test-static PROPERTIES LINK_FLAGS "${LINK_FLAGS} -Wl,--wrap=memcpy")
		endif()
	endif()
endif()

# Indigo shared
add_library(indigo-shared SHARED ${Indigo_src} ${Indigo_headers} ${Common_SOURCE_DIR}/hacks/memcpy.c $<TARGET_OBJECTS:moleculeObj>)
SET_TARGET_PROPERTIES(indigo-shared PROPERTIES OUTPUT_NAME "indigo")
set_target_properties(indigo-shared PROPERTIES COMPILE_FLAGS "${COMPILE_FLAGS}")
message(STATUS "LINK FLAGS")
if (UNIX AND NOT APPLE)
	message(STATUS "UNIX AND NOT APPLE")
	if(${SUBSYSTEM_NAME} MATCHES "x64")
		message(STATUS "SUBSYSTEM_NAME EQUALS x64")
		set_target_properties(indigo-shared PROPERTIES LINK_FLAGS "${LINK_FLAGS} -Wl,--wrap=memcpy")
	endif()
endif()
if (MSVC OR MINGW)
	set_target_properties(indigo-shared PROPERTIES PREFIX "")
endif()
target_link_libraries(indigo-shared reaction layout tinyxml)
set_property(TARGET indigo-shared PROPERTY LINK_INTERFACE_LIBRARIES "")
set_property(TARGET indigo-shared PROPERTY FOLDER "indigo")
if (NOT PACK_INDIGO_NOT)
	pack_shared(indigo-shared)
endif()
DEFINE_TEST(indigo-c-test-shared "tests/c/indigo-test.c" indigo-shared)

add_executable(dlopen-test ${Indigo_SOURCE_DIR}/tests/c/dlopen-test.c)
if (UNIX)
  	set_target_properties(dlopen-test PROPERTIES LINK_FLAGS "-rdynamic -ldl -pthread")
    if (NOT APPLE AND ${SUBSYSTEM_NAME} MATCHES "x64")
    	set_target_properties(dlopen-test PROPERTIES LINK_FLAGS "-rdynamic -ldl -pthread -Wl,--wrap=memcpy")
    endif()
    TARGET_LINK_LIBRARIES(dlopen-test "-rdynamic -ldl -pthread")
endif()
set_property(TARGET dlopen-test PROPERTY FOLDER "tests")
#DLOPEN test
LIBRARY_NAME(indigo)
add_test(dlopen-indigo-test ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/dlopen-test ${Indigo_SOURCE_DIR}/libs/shared/${SYSTEM_NAME}/${SUBSYSTEM_NAME}/${indigo_NAME})

=== graph/CMakeLists.txt ===
PROJECT(Graph)

file (GLOB Graph_src src/*.c src/*.cpp)
file (GLOB Graph_headers *.h *.hpp src/*.h src/*.hpp src/*.inc)

include_directories(${Common_SOURCE_DIR} ${Graph_SOURCE_DIR}/..)

if(APPLE)
    set(CMAKE_OSX_ARCHITECTURES "i386;x86_64")
endif()

add_library(graph ${Graph_src} ${Graph_headers})

if(VISIBILITY_HIDDEN)
    SET(COMPILE_FLAGS "${COMPILE_FLAGS} -fvisibility=hidden")
endif()    
if(UNIX OR APPLE)
    SET(COMPILE_FLAGS "${COMPILE_FLAGS} -fPIC")
endif()
set_target_properties(graph PROPERTIES COMPILE_FLAGS "${COMPILE_FLAGS}")
target_link_libraries(graph common)
pack_static(graph)

=== layout/CMakeLists.txt ===
PROJECT(Layout)

file (GLOB Layout_src src/*.c src/*.cpp)
file (GLOB Layout_headers *.h* src/*.h* src/*.inc)

include_directories(${Common_SOURCE_DIR} ${Common_SOURCE_DIR}/..)

if(APPLE)
    set(CMAKE_OSX_ARCHITECTURES "i386;x86_64")
endif()

add_library(layout ${Layout_src} ${Layout_headers})

if(VISIBILITY_HIDDEN)
    SET(COMPILE_FLAGS "${COMPILE_FLAGS} -fvisibility=hidden")
endif()    
if(UNIX OR APPLE)
    SET(COMPILE_FLAGS "${COMPILE_FLAGS} -fPIC")
endif()
set_target_properties(layout PROPERTIES COMPILE_FLAGS "${COMPILE_FLAGS}")    
target_link_libraries(layout molecule)
pack_static(layout)

=== bingo/bingo-core-c/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(BingoCoreC)

file(GLOB BingoCoreC_src src/*.cpp)
file(GLOB BingoCoreC_headers src/*.h)

set(BingoCoreC_HEADERS_DIR ${BingoCoreC_SOURCE_DIR}/src CACHE INTERNAL "include directories" FORCE)

include(SetBuildParameters)

include_directories(../src ../src/core ${Common_SOURCE_DIR} ${Common_SOURCE_DIR}/.. ${ZLib_HEADERS_DIR} ${BingoCore_HEADERS_DIR}
	${Common_SOURCE_DIR}/../api/plugins/inchi/src ${InChI_SOURCE_DIR}/inchi_dll)

add_library(bingo-core-c STATIC ${BingoCoreC_src} ${BingoCoreC_headers} ${Common_SOURCE_DIR}/../api/plugins/inchi/src/indigo_inchi_core.cpp)
add_library(bingo-core-c-shared SHARED ${BingoCoreC_src} ${BingoCoreC_headers} ${Common_SOURCE_DIR}/../api/plugins/inchi/src/indigo_inchi_core.cpp)
target_link_libraries(bingo-core-c bingo-core inchi)
target_link_libraries(bingo-core-c-shared molecule reaction layout bingo-core inchi)

set_target_properties(bingo-core-c PROPERTIES COMPILE_FLAGS "${COMPILE_FLAGS}")
set_property(TARGET bingo-core-c PROPERTY FOLDER "bingo-core-c")

set_target_properties(bingo-core-c-shared PROPERTIES COMPILE_FLAGS "${COMPILE_FLAGS}")

set_property(TARGET bingo-core-c PROPERTY OUTPUT_NAME "bingo-core-c-static")
set_property(TARGET bingo-core-c-shared PROPERTY FOLDER "bingo-core-c-shared")
set_property(TARGET bingo-core-c-shared PROPERTY OUTPUT_NAME "bingo-core-c")

=== bingo/bingo-core/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(BingoCore)

SET(BingoCore_HEADERS_DIR ${BingoCore_SOURCE_DIR}/src CACHE INTERNAL "include directories" FORCE)

INCLUDE(${Bingo_SOURCE_DIR}/bingo-version.cmake)                                            
MESSAGE(STATUS "BingoCore version is ${BINGO_VERSION}")
configure_file(${BingoCore_HEADERS_DIR}/core/bingo_version.h.in ${BingoCore_HEADERS_DIR}/core/bingo_version.h)

file(GLOB BingoCore_src src/core/*.cpp)
file(GLOB BingoCore_headers ${BingoCore_HEADERS_DIR}/core/*.h)

include(SetBuildParameters)
include_directories(src ${Common_SOURCE_DIR} ${Common_SOURCE_DIR}/..)
add_library(bingo-core STATIC ${BingoCore_src} ${BingoCore_headers})
set_target_properties(bingo-core PROPERTIES COMPILE_FLAGS "${COMPILE_FLAGS}")

set_property(TARGET bingo-core PROPERTY FOLDER "bingo-core")

=== bingo/oracle/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(BingoOracle)

include(../bingo-version.cmake)
include(SetBuildParameters)

message(STATUS "BingoOracle version is ${BINGO_VERSION_EXT}")

file(GLOB Bingo_src src/oracle/*.cpp)
file(GLOB Bingo_headers src/oracle/*.h)

include_directories(src ${Common_SOURCE_DIR} ${Common_SOURCE_DIR}/.. ${OCI_INCLUDE_DIRS} ${ZLib_HEADERS_DIR} ${BingoCore_HEADERS_DIR}
	${Common_SOURCE_DIR}/../api/plugins/inchi/src ${InChI_SOURCE_DIR}/inchi_dll)

add_library(bingo-oracle-shared SHARED ${Bingo_src} ${Bingo_headers} ${Common_SOURCE_DIR}/../api/plugins/inchi/src/indigo_inchi_core.cpp)

set_target_properties(bingo-oracle-shared PROPERTIES COMPILE_FLAGS "${COMPILE_FLAGS}")

target_link_libraries(bingo-oracle-shared bingo-core molecule reaction layout common-oracle common inchi)
if (MSVC)
	target_link_libraries(bingo-oracle-shared odbc32 odbccp32 ${OCI_LIBRARY})
elseif(APPLE)
	target_link_libraries(bingo-oracle-shared ${OCI_LIBRARY})
endif()
set_property(TARGET bingo-oracle-shared PROPERTY LINK_INTERFACE_LIBRARIES "")

SET_TARGET_PROPERTIES(bingo-oracle-shared PROPERTIES OUTPUT_NAME "bingo-oracle")

set_property(TARGET bingo-oracle-shared PROPERTY FOLDER "bingo-oracle")

pack_bingo(bingo-oracle-shared)

=== bingo/postgres/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(BingoPostgres)

include(../bingo-version.cmake)
include(SetBuildParameters)

message(STATUS "BingoPostgres version is ${BINGO_VERSION_EXT}")

find_package(POSTGRES)
if (NOT POSTGRES_FOUND)
	message(FATAL_ERROR "Postgres not found!")
endif()
message(STATUS "Postgres found at ${POSTGRES_INCLUDE_DIRS}")

file(GLOB PG_AM_src src/pg_am/*.cpp src/pg_am/*.c)
file(GLOB PG_AM_headers src/pg_am/*.h)
file(GLOB PG_COMMON_src src/pg_common/*.cpp src/pg_common/*.c)
file(GLOB PG_COMMON_headers src/pg_common/*.h)
file(GLOB PG_CORE_src src/pg_core/*.cpp src/pg_core/*.c)
file(GLOB PG_CORE_headers src/pg_core/*.h)

include_directories(src ${Common_SOURCE_DIR} ${Common_SOURCE_DIR}/.. ${ZLib_HEADERS_DIR}  ${BingoCoreC_HEADERS_DIR} ${BingoCore_HEADERS_DIR} ${POSTGRES_INCLUDE_DIRS} src/pg_common/ src/pg_am/ src/pg_core/)
if (MSVC)
	include_directories(${POSTGRES_INCLUDE_DIRS}/port/win32_msvc ${POSTGRES_INCLUDE_DIRS}/port/win32 ${POSTGRES_INCLUDE_DIRS}/..)
endif()

if (NOT MSVC)                                                                                                                                                            
	add_library(bingo-postgres-shared SHARED ${PG_AM_src} ${PG_AM_headers} ${PG_COMMON_src} ${PG_COMMON_headers} ${PG_CORE_src} ${PG_CORE_headers})
else()
	add_library(bingo-postgres-shared SHARED ${PG_AM_src} ${PG_AM_headers} ${PG_COMMON_src} ${PG_COMMON_headers} ${PG_CORE_src} ${PG_CORE_headers} ${POSTGRES_INCLUDE_DIRS}/port/win32.h)
endif()
SET_TARGET_PROPERTIES(bingo-postgres-shared PROPERTIES OUTPUT_NAME "bingo_postgres")
SET_TARGET_PROPERTIES(bingo-postgres-shared PROPERTIES PREFIX "")

set_target_properties(bingo-postgres-shared PROPERTIES COMPILE_FLAGS "${COMPILE_FLAGS}")
if (APPLE)
	set_target_properties(bingo-postgres-shared PROPERTIES LINK_FLAGS "${LINK_FLAGS} -undefined suppress -flat_namespace")
elseif(UNIX)
	set_target_properties(bingo-postgres-shared PROPERTIES LINK_FLAGS "${LINK_FLAGS} -pthread")
endif()

target_link_libraries(bingo-postgres-shared bingo-core-c bingo-core molecule reaction layout)
if (MSVC)
	target_link_libraries(bingo-postgres-shared ${POSTGRES_LIBRARY})
endif()

set_property(TARGET bingo-postgres-shared PROPERTY LINK_INTERFACE_LIBRARIES "")
set_property(TARGET bingo-postgres-shared PROPERTY FOLDER "bingo-postgres")

pack_bingo(bingo-postgres-shared)

=== build_scripts/bingo-postgres/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(BingoPostgresSolution)

set(BINGO "YES")
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/../../common/cmake/)
set(Bingo_SOURCE_DIR ../../bingo/)

INCLUDE(ConfigureCommon)

if(MSVC)
	set(CMAKE_C_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} /MTd")
	set(CMAKE_C_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} /MT")
	set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} /MTd")
	set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} /MT")
	set(CMAKE_C_LINK_FLAGS "/NODEFAULTLIB:libc.lib /NODEFAULTLIB:msvcrt.lib /NODEFAULTLIB:libcd.lib /NODEFAULTLIB:libcmtd.lib /NODEFAULTLIB:msvcrtd.lib")
	set(CMAKE_SHARED_LIBRARY_C_FLAGS "/NODEFAULTLIB:libc.lib /NODEFAULTLIB:msvcrt.lib /NODEFAULTLIB:libcd.lib /NODEFAULTLIB:libcmtd.lib /NODEFAULTLIB:msvcrtd.lib")
	set(CMAKE_CXX_LINK_FLAGS "/NODEFAULTLIB:libc.lib /NODEFAULTLIB:msvcrt.lib /NODEFAULTLIB:libcd.lib /NODEFAULTLIB:libcmtd.lib /NODEFAULTLIB:msvcrtd.lib")
	set(CMAKE_SHARED_LIBRARY_CXX_FLAGS "/NODEFAULTLIB:libc.lib /NODEFAULTLIB:msvcrt.lib /NODEFAULTLIB:libcd.lib /NODEFAULTLIB:libcmtd.lib /NODEFAULTLIB:msvcrtd.lib")
endif()

add_subdirectory(../../third_party/zlib-src "${CMAKE_CURRENT_BINARY_DIR}/zlib")
# Get defined variable with the headers
get_directory_property(ZLib_HEADERS_DIR DIRECTORY ../../third_party/zlib-src DEFINITION ZLib_HEADERS_DIR)

add_subdirectory(../../common "${CMAKE_CURRENT_BINARY_DIR}/common")

add_subdirectory(../../third_party/tinyxml "${CMAKE_CURRENT_BINARY_DIR}/tinyxml")
# Get defined variable with the headers
get_directory_property(TinyXML_HEADERS_DIR DIRECTORY ../../third_party/tinyxml DEFINITION TinyXML_HEADERS_DIR)

add_subdirectory(../../graph "${CMAKE_CURRENT_BINARY_DIR}/graph")
add_subdirectory(../../molecule "${CMAKE_CURRENT_BINARY_DIR}/molecule")
add_subdirectory(../../reaction "${CMAKE_CURRENT_BINARY_DIR}/reaction")

add_subdirectory(../../layout "${CMAKE_CURRENT_BINARY_DIR}/layout")

add_subdirectory(../../bingo/bingo-core "${CMAKE_CURRENT_BINARY_DIR}/bingo-core")
add_subdirectory(../../third_party/inchi "${CMAKE_CURRENT_BINARY_DIR}/inchi")
add_subdirectory(../../bingo/bingo-core-c "${CMAKE_CURRENT_BINARY_DIR}/bingo-core-c")
add_subdirectory(../../bingo/postgres "${CMAKE_CURRENT_BINARY_DIR}/bingo-postgres")

SET(BINGO_VERSION "${BINGO_VERSION}")

SET(BINGO_PG_VERSION "$ENV{BINGO_PG_VERSION}" CACHE STRING "PostgreSQL version (9.0, 9.1)")
SET(BINGO_PG_DIR "$ENV{BINGO_PG_DIR}" CACHE STRING "PostgreSQL folder")

SET(COMPONENTS shared)

# Uncomment it in CMake 2.8.8:  http://www.gccxml.org/Bug/view.php?id=12129
SET(CPACK_INCLUDE_TOPLEVEL_DIRECTORY 0)

SET(CPACK_COMPONENTS_ALL ${COMPONENTS})
set(CPACK_ARCHIVE_COMPONENT_INSTALL 1)
SET(CPACK_GENERATOR "ZIP")
SET(CPACK_PACKAGE_FILE_NAME "bingo-postgres${BINGO_PG_VERSION}-${BINGO_VERSION}-${PACKAGE_SUFFIX}")
foreach(comp ${COMPONENTS})
	INSTALL(FILES ${Bingo_SOURCE_DIR}/LICENSE.GPL DESTINATION . COMPONENT ${comp})
	INSTALL(FILES ${BingoPostgres_SOURCE_DIR}/INSTALL DESTINATION . COMPONENT ${comp})
	INSTALL(FILES ${BingoPostgres_SOURCE_DIR}/README DESTINATION . COMPONENT ${comp})
	INSTALL(DIRECTORY ${BingoPostgres_SOURCE_DIR}/sql/${BINGO_PG_VERSION}/ DESTINATION sql COMPONENT ${comp})
	IF(${SYSTEM_NAME} MATCHES "Win")
		INSTALL(FILES ${BingoPostgres_SOURCE_DIR}/bingo-pg-install.bat DESTINATION . COMPONENT ${comp})
	ELSE()
		INSTALL(FILES ${BingoPostgres_SOURCE_DIR}/bingo-pg-install.sh DESTINATION . COMPONENT ${comp})
	ENDIF()
endforeach()

SET(CMAKE_INSTALL_PREFIX ${BingoPostgres_SOURCE_DIR}/libs)

INCLUDE(CPack)

=== build_scripts/bingo-sqlserver/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(BingoSqlServerSolution)

set(BINGO "YES")
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/../../common/cmake/)
set(Bingo_SOURCE_DIR ../../bingo/)
set(BingoSqlServer_SOURCE_DIR ../../bingo/sqlserver)

INCLUDE(ConfigureCommon)

if(MSVC)
	set(CMAKE_C_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} /MTd")
	set(CMAKE_C_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} /MT")
	set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} /MTd")
	set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} /MT")
	set(CMAKE_C_LINK_FLAGS "/NODEFAULTLIB:libc.lib /NODEFAULTLIB:msvcrt.lib /NODEFAULTLIB:libcd.lib /NODEFAULTLIB:libcmtd.lib /NODEFAULTLIB:msvcrtd.lib")
	set(CMAKE_SHARED_LIBRARY_C_FLAGS "/NODEFAULTLIB:libc.lib /NODEFAULTLIB:msvcrt.lib /NODEFAULTLIB:libcd.lib /NODEFAULTLIB:libcmtd.lib /NODEFAULTLIB:msvcrtd.lib")
	set(CMAKE_CXX_LINK_FLAGS "/NODEFAULTLIB:libc.lib /NODEFAULTLIB:msvcrt.lib /NODEFAULTLIB:libcd.lib /NODEFAULTLIB:libcmtd.lib /NODEFAULTLIB:msvcrtd.lib")
	set(CMAKE_SHARED_LIBRARY_CXX_FLAGS "/NODEFAULTLIB:libc.lib /NODEFAULTLIB:msvcrt.lib /NODEFAULTLIB:libcd.lib /NODEFAULTLIB:libcmtd.lib /NODEFAULTLIB:msvcrtd.lib")
endif()

add_subdirectory(../../third_party/zlib-src "${CMAKE_CURRENT_BINARY_DIR}/zlib")
# Get defined variable with the headers
get_directory_property(ZLib_HEADERS_DIR DIRECTORY ../../third_party/zlib-src DEFINITION ZLib_HEADERS_DIR)

add_subdirectory(../../common "${CMAKE_CURRENT_BINARY_DIR}/common")

add_subdirectory(../../third_party/tinyxml "${CMAKE_CURRENT_BINARY_DIR}/tinyxml")
# Get defined variable with the headers
get_directory_property(TinyXML_HEADERS_DIR DIRECTORY ../../third_party/tinyxml DEFINITION TinyXML_HEADERS_DIR)

add_subdirectory(../../graph "${CMAKE_CURRENT_BINARY_DIR}/graph")
add_subdirectory(../../molecule "${CMAKE_CURRENT_BINARY_DIR}/molecule")
add_subdirectory(../../reaction "${CMAKE_CURRENT_BINARY_DIR}/reaction")

add_subdirectory(../../layout "${CMAKE_CURRENT_BINARY_DIR}/layout")
add_subdirectory(../../bingo/bingo-core "${CMAKE_CURRENT_BINARY_DIR}/bingo-core")
get_directory_property(BingoCore_HEADERS_DIR DIRECTORY ../../bingo/bingo-core DEFINITION BingoCore_HEADERS_DIR)

add_subdirectory(../../third_party/inchi "${CMAKE_CURRENT_BINARY_DIR}/inchi")

add_subdirectory(../../bingo/bingo-core-c "${CMAKE_CURRENT_BINARY_DIR}/bingo-core-c")
get_directory_property(BingoCoreC_HEADERS_DIR DIRECTORY ../../bingo/bingo-core-c DEFINITION BingoCoreC_HEADERS_DIR)

SET(BINGO_VERSION "${BINGO_VERSION}")

#ADD_CUSTOM_COMMAND(OUTPUT ../../bingo/sqlserver COMMAND msbuild)

=== build_scripts/indigo-all/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(IndigoAll C CXX)

ENABLE_TESTING()

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/../../common/cmake/)

INCLUDE(ConfigureCommon)

message(STATUS "**** Indigo ****")
add_subdirectory(../indigo "${CMAKE_CURRENT_BINARY_DIR}/indigo")
message(STATUS "**** Indigo-inchi ****")
add_subdirectory(../indigo-inchi "${CMAKE_CURRENT_BINARY_DIR}/indigo-inchi")
message(STATUS "**** Indigo-renderer ****")
add_subdirectory(../indigo-renderer "${CMAKE_CURRENT_BINARY_DIR}/indigo-renderer")

SET(CMAKE_INSTALL_SYSTEM_RUNTIME_LIBS_SKIP TRUE)
INCLUDE(InstallRequiredSystemLibraries)
FOREACH(lib ${CMAKE_INSTALL_SYSTEM_RUNTIME_LIBS})
	INSTALL(FILES ${lib} DESTINATION "shared/${SYSTEM_NAME}/${SUBSYSTEM_NAME}" COMPONENT shared)
ENDFOREACH()
  
SET(COMPONENTS static shared)

# Uncomment it in CMake 2.8.8:  http://www.gccxml.org/Bug/view.php?id=12129
SET(CPACK_INCLUDE_TOPLEVEL_DIRECTORY 0) 

SET(CPACK_COMPONENTS_ALL ${COMPONENTS})
set(CPACK_ARCHIVE_COMPONENT_INSTALL 1)
SET(CPACK_GENERATOR "ZIP")
SET(CPACK_PACKAGE_FILE_NAME "indigo-libs-${INDIGO_VERSION}-${PACKAGE_SUFFIX}") 
foreach(comp ${COMPONENTS})
	INSTALL(FILES ${Indigo_SOURCE_DIR}/LICENSE.GPL DESTINATION . COMPONENT ${comp})
	INSTALL(FILES ${Indigo_SOURCE_DIR}/indigo.h DESTINATION . COMPONENT ${comp})
	INSTALL(FILES ${Indigo_SOURCE_DIR}/plugins/renderer/indigo-renderer.h DESTINATION . COMPONENT ${comp})
	INSTALL(FILES ${Indigo_SOURCE_DIR}/plugins/inchi/indigo-inchi.h DESTINATION . COMPONENT ${comp})
endforeach()

SET(CMAKE_INSTALL_PREFIX ${Indigo_SOURCE_DIR}/libs)
                     
# DLOPEN TEST
LIBRARY_NAME(indigo)
LIBRARY_NAME(indigo-inchi)
LIBRARY_NAME(indigo-renderer)
add_test(dlopen-test ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/dlopen-test ${Indigo_SOURCE_DIR}/libs/shared/${SYSTEM_NAME}/${SUBSYSTEM_NAME}/${indigo_NAME} ${Indigo_SOURCE_DIR}/libs/shared/${SYSTEM_NAME}/${SUBSYSTEM_NAME}/${indigo-inchi_NAME} ${Indigo_SOURCE_DIR}/libs/shared/${SYSTEM_NAME}/${SUBSYSTEM_NAME}/${indigo-renderer_NAME})

if(UNIX AND NOT APPLE)
add_test(abi-test-indigo "file" "${Indigo_SOURCE_DIR}/libs/shared/${SYSTEM_NAME}/${SUBSYSTEM_NAME}/${indigo_NAME}")
set_tests_properties (abi-test-indigo PROPERTIES PASS_REGULAR_EXPRESSION "SYSV")
add_test(abi-test-indigo-inchi "file" "${Indigo_SOURCE_DIR}/libs/shared/${SYSTEM_NAME}/${SUBSYSTEM_NAME}/${indigo-inchi_NAME}")
set_tests_properties (abi-test-indigo-inchi PROPERTIES PASS_REGULAR_EXPRESSION "SYSV")
add_test(abi-test-indigo-renderer "file" "${Indigo_SOURCE_DIR}/libs/shared/${SYSTEM_NAME}/${SUBSYSTEM_NAME}/${indigo-renderer_NAME}")
set_tests_properties (abi-test-indigo-renderer PROPERTIES PASS_REGULAR_EXPRESSION "SYSV")
endif()

INCLUDE(CPack)
INCLUDE(CTest)

=== build_scripts/indigo-utils/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(IndigoUtils C CXX)
                   
SET(PACK_INDIGO_NOT YES)

if(MSVC)
	set(CMAKE_C_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} /MTd")
	set(CMAKE_C_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} /MT")
	set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} /MTd")
	set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} /MT")
	set(CMAKE_C_LINK_FLAGS "/NODEFAULTLIB:libc.lib /NODEFAULTLIB:msvcrt.lib /NODEFAULTLIB:libcd.lib /NODEFAULTLIB:libcmtd.lib /NODEFAULTLIB:msvcrtd.lib")
	set(CMAKE_SHARED_LIBRARY_C_FLAGS "/NODEFAULTLIB:libc.lib /NODEFAULTLIB:msvcrt.lib /NODEFAULTLIB:libcd.lib /NODEFAULTLIB:libcmtd.lib /NODEFAULTLIB:msvcrtd.lib")
	set(CMAKE_CXX_LINK_FLAGS "/NODEFAULTLIB:libc.lib /NODEFAULTLIB:msvcrt.lib /NODEFAULTLIB:libcd.lib /NODEFAULTLIB:libcmtd.lib /NODEFAULTLIB:msvcrtd.lib")
	set(CMAKE_SHARED_LIBRARY_CXX_FLAGS "/NODEFAULTLIB:libc.lib /NODEFAULTLIB:msvcrt.lib /NODEFAULTLIB:libcd.lib /NODEFAULTLIB:libcmtd.lib /NODEFAULTLIB:msvcrtd.lib")
endif()

set(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH}" "${CMAKE_CURRENT_SOURCE_DIR}/../../common/cmake/")

INCLUDE(ConfigureCommon)

message(STATUS "**** Indigo ****")
add_subdirectory(../indigo "${CMAKE_CURRENT_BINARY_DIR}/indigo")
message(STATUS "**** Indigo-renderer ****")
add_subdirectory(../indigo-renderer "${CMAKE_CURRENT_BINARY_DIR}/indigo-renderer")
message(STATUS "**** Indigo-cano ****")
add_subdirectory(../../utils/indigo-cano "${CMAKE_CURRENT_BINARY_DIR}/indigo-cano")
message(STATUS "**** Indigo-deco ****")
add_subdirectory(../../utils/indigo-deco "${CMAKE_CURRENT_BINARY_DIR}/indigo-deco")
message(STATUS "**** Indigo-depict ****")
add_subdirectory(../../utils/indigo-depict "${CMAKE_CURRENT_BINARY_DIR}/indigo-depict")

SET(CPACK_INCLUDE_TOPLEVEL_DIRECTORY 0) 

SET(CPACK_COMPONENTS_ALL "shared")
set(CPACK_ARCHIVE_COMPONENT_INSTALL 1)
SET(CPACK_GENERATOR "ZIP")
INSTALL(FILES ../../api/LICENSE.GPL DESTINATION . COMPONENT "shared")
SET(CPACK_PACKAGE_FILE_NAME "indigo-utils-${INDIGO_VERSION}-${PACKAGE_SUFFIX}")
SET(CMAKE_INSTALL_PREFIX ./libs)

INCLUDE(CPack)

=== third_party/libpng-src/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(PNG C)

if(USE_SYSTEM_PNG)
    find_package(PNG)
    if (NOT PNG_FOUND)
	     MESSAGE(FATAL_ERROR "Cannot find system png library")
	 endif()
endif()

if (NOT PNG_FOUND)
    message(STATUS "Using local LibPNG library")
    include_directories(include)
    set(PNG_INCLUDE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/include)
    aux_source_directory(src PNG_SOURCES)
    if (NOT ZLIB_FOUND)
	     message(STATUS "Finding zlib for libpng")
		  # TODO: if zlib is local that use it too
        find_package(ZLIB)
    endif()
    include_directories(${ZLib_HEADERS_DIR})

    # To remove GLIBC_2.11 dependency
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_FORTIFY_SOURCE=0")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -D_FORTIFY_SOURCE=0")

    add_library(png STATIC ${PNG_SOURCES})

    set_target_properties(png PROPERTIES COMPILE_FLAGS "${COMPILE_FLAGS}")
    target_link_libraries(png z)
    set_property(TARGET png PROPERTY FOLDER "third_party")
	pack_static(png)
endif()

## indigo 1.0.0

=== debian/changelog ===
indigo (1.0.0-2) unstable; urgency=low

  * debian/rules: Add python2 to dh modules (Closes: #671057).

 -- Michael Banck <mbanck@debian.org>  Fri, 04 May 2012 00:39:01 +0200

indigo (1.0.0-1) unstable; urgency=low

  * Initial release (Closes: #664975).

 -- Michael Banck <mbanck@debian.org>  Sat, 24 Mar 2012 02:02:50 +0100

=== debian/control ===
Source: indigo
Section: science
Priority: extra
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>
Build-Depends: debhelper (>= 7.0.50~), javahelper, default-jdk, libjna-java, libcairo2-dev, libtinyxml-dev
Standards-Version: 3.9.2
Homepage: http://ggasoftware.com/opensource/indigo
Vcs-Browser: http://svn.debian.org/wsvn/debichem/unstable/indigo/
Vcs-Svn: svn://svn.debian.org/svn/debichem/unstable/indigo/

Package: indigo-utils
Architecture: any
Section: science
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Organic Chemistry Toolkit Utilities
 Indigo is a C++ based organic chemistry and cheminformatics software
 environment.  Features Include:
 .
  * Molecule and reaction rendering including SVG support
  * Automatic layout for SMILES-represented molecules and reactions
  * Canonical (isomeric) SMILES computation
  * Exact matching, substructure matching, SMARTS matching
  * Matching of tautomers and resonance structures
  * Molecule fingerprinting, molecule similarity computation
  * Fast enumeration of SSSR rings, subtrees, and edge sugraphs
  * Molecular weight, molecular formula computation
  * R-Group deconvolution and scaffold detection
  * Computation of the exact maximum common substructure for an
    arbitrary amount of input structures
  * Combinatorial chemistry * Plugin support in the API 
 .
 File formats Indigo support include MDL Mol, SDF, RDF, CML, SMILES and
 SMARTS.
 . 
 This package contains the following utilities:
 .
  * indigo-depict
  * indigo-cano
  * indigo-deco
  * chemdiff

Package: libindigo0d
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Organic Chemistry Toolkit
 Indigo is a C++ based organic chemistry and cheminformatics software
 environment.  Features Include:
 .
  * Molecule and reaction rendering including SVG support
  * Automatic layout for SMILES-represented molecules and reactions
  * Canonical (isomeric) SMILES computation
  * Exact matching, substructure matching, SMARTS matching
  * Matching of tautomers and resonance structures
  * Molecule fingerprinting, molecule similarity computation
  * Fast enumeration of SSSR rings, subtrees, and edge sugraphs
  * Molecular weight, molecular formula computation
  * R-Group deconvolution and scaffold detection
  * Computation of the exact maximum common substructure for an
    arbitrary amount of input structures
  * Combinatorial chemistry * Plugin support in the API 
 .
 File formats Indigo support include MDL Mol, SDF, RDF, CML, SMILES and
 SMARTS.

Package: libindigo-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libindigo0d
Description: Organic Chemistry Toolkit (development files)
 Indigo is a C++ based organic chemistry and cheminformatics software
 environment.  Features Include:
 .
  * Molecule and reaction rendering including SVG support
  * Automatic layout for SMILES-represented molecules and reactions
  * Canonical (isomeric) SMILES computation
  * Exact matching, substructure matching, SMARTS matching
  * Matching of tautomers and resonance structures
  * Molecule fingerprinting, molecule similarity computation
  * Fast enumeration of SSSR rings, subtrees, and edge sugraphs
  * Molecular weight, molecular formula computation
  * R-Group deconvolution and scaffold detection
  * Computation of the exact maximum common substructure for an
    arbitrary amount of input structures
  * Combinatorial chemistry
  * Plugin support in the API
 .
 File formats Indigo support include MDL Mol, SDF, RDF, CML, SMILES and
 SMARTS.
 .
 This package contains the static libary and header files.

Package: python-indigo
Architecture: all
Section: python
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libindigo0d
Description: Organic Chemistry Toolkit (python module)
 Indigo is a C++ based organic chemistry and cheminformatics software
 environment.  Features Include:
 .
  * Molecule and reaction rendering including SVG support
  * Automatic layout for SMILES-represented molecules and reactions
  * Canonical (isomeric) SMILES computation
  * Exact matching, substructure matching, SMARTS matching
  * Matching of tautomers and resonance structures
  * Molecule fingerprinting, molecule similarity computation
  * Fast enumeration of SSSR rings, subtrees, and edge sugraphs
  * Molecular weight, molecular formula computation
  * R-Group deconvolution and scaffold detection
  * Computation of the exact maximum common substructure for an
    arbitrary amount of input structures
  * Combinatorial chemistry
  * Plugin support in the API
 .
 File formats Indigo support include MDL Mol, SDF, RDF, CML, SMILES and
 SMARTS.
 .
 This package contains the python modules.

Package: libindigo-java
Architecture: all
Section: java
Depends: ${shlibs:Depends}, ${misc:Depends}, ${java:Depends}, libindigo0d
Description: Organic Chemistry Toolkit (Java package)
 Indigo is a C++ based organic chemistry and cheminformatics software
 environment.  Features Include:
 .
  * Molecule and reaction rendering including SVG support
  * Automatic layout for SMILES-represented molecules and reactions
  * Canonical (isomeric) SMILES computation
  * Exact matching, substructure matching, SMARTS matching
  * Matching of tautomers and resonance structures
  * Molecule fingerprinting, molecule similarity computation
  * Fast enumeration of SSSR rings, subtrees, and edge sugraphs
  * Molecular weight, molecular formula computation
  * R-Group deconvolution and scaffold detection
  * Computation of the exact maximum common substructure for an
    arbitrary amount of input structures
  * Combinatorial chemistry
  * Plugin support in the API
 .
 File formats Indigo support include MDL Mol, SDF, RDF, CML, SMILES and
 SMARTS.
 .
 This package contains the Java packages.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

export JAVA_HOME=/usr/lib/jvm/default-java
export CLASSPATH=/usr/share/java/jna.jar:$(CURDIR)/indigo-1.0.0.jar:$(CURDIR)/indigo-renderer-1.0.0.jar:$(CURDIR)/common-controls-1.0.0.jar

%:
	dh $@  --with javahelper --with python2

override_dh_auto_clean:
	find . -type d -name "build" | grep -v cairo-src |  xargs rm -rf 
	find . -type d -name "dist" | xargs rm -rf 
	find . -name ".dep.inc" | xargs rm -f
	rm -f $(CURDIR)/*.jar
	dh_auto_clean

override_dh_auto_build:
	(cd api && $(MAKE) CONF=DebugStatic)
	(cd api/renderer && $(MAKE) CONF=DebugStatic)
	(cd api && $(MAKE) CONF=DebugShared)
	(cd api/renderer && $(MAKE) CONF=DebugShared)
	(cd utils/indigo-cano && $(MAKE))
	(cd utils/indigo-deco && $(MAKE))
	(cd utils/indigo-depict && $(MAKE))
	dh_auto_build

override_dh_auto_install:
	dh_installdirs
	install $(CURDIR)/api/dist/*/*/libindigo.so 				\
		debian/libindigo0d/usr/lib/libindigo.so.0d
	install $(CURDIR)/api/renderer/dist/*/*/libindigo-renderer.so 		\
		debian/libindigo0d/usr/lib/libindigo-renderer.so.0d
	mkdir -p debian/python-indigo/usr/lib/`pyversions -d`/dist-packages
	install $(CURDIR)/api/python/*.py $(CURDIR)/api/renderer/python/*.py	\
		debian/python-indigo/usr/lib/`pyversions -d`/dist-packages
	install $(CURDIR)/utils/chemdiff/chemdiff.sh				\
		debian/indigo-utils/usr/bin/chemdiff
	dh_auto_install

## indigo 1.1.11

=== debian/changelog ===
indigo (1.1.11-2) unstable; urgency=low

  [ Daniel Leidert ]
  * debian/javabuild, debian/libindigo-java.jlibs, debian/rules: Removed
    upstream version from jars - handled by javahelper itself.
  * debian/patches/718689_gcc_architecture_flags.patch: Added.
    - Only apply GCC flags -m32/-m64 to architectures which support them
      and don't include the GCC hack on kfreebsd-amd64 (closes: #718689.
  * debian/patches/series: Adjusted.

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Sun, 04 Aug 2013 20:56:28 +0200

indigo (1.1.11-1) unstable; urgency=low

  * New upstream release.
    - Uses Hill convention for GrossFormula function (closes: #690275).

  [ Daniel Leidert ]
  * debian/control (Standards-Version): Bumped to 3.9.4.
    (Build-Depends): Added python (closes: #713767). Added autotools-dev,
    libfreetype6-dev and libpng12-dev.
    (Vcs-Browser, Vcs-Svn): Fixed vcs-field-not-canonical.
    (Section): Fixed duplication of sections.
    (Depends): Fixed weak-library-dev-dependency. Hardened dependency of
    python-indigo and libindigo-java to libindigo0d.
    (Description): Fixed typos.
  * debian/libindigo0d.dirs, debian/libindigo-dev.dirs: Dropped.
  * debian/libindigo0d.install: Added libraries.
  * debian/libindigo-dev.install: Added libraries.
  * debian/libindigo0d.lintian-overrides: Added to override
    package-name-doesnt-match-sonames.
  * debian/rules: Enabled hardening. Added autotools_dev addon.
    (override_dh_auto_configure): Added -DCMAKE_BUILD_TYPE and
    -DCMAKE_SKIP_RPATH to avoid setting RPATHs. Define missing library paths
    for system libraries.
    (override_dh_auto_install): Moved library installation to dh_install.
    (override_dh_makeshlibs): Dropped version. Better use -V only.
  * debian/README.source: Updated.
  * debian/patches/library_dir_and_name.patch: Updated.
    - Set the libraries SOVERSION to "0d" to fix inter-library linkages. Fixed
      some includes.

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Sat, 03 Aug 2013 19:33:00 +0200

indigo (1.1.5-1) UNRELEASED; urgency=low

  * New upstream release.

  [ Michael Banck ]
  * debian/control (indigo-utils/Description): Add a one-line summary for
    every tool explaining its purpose.
  * debian/control (Build-Depends): Added cmake.
  * debian/rules: Overhauled for cmake and directory rearrangements.
  * debian/rules (CLASSPATH): Updated version numbers.
  * debian/libindigo-java.jlibs: Likewise.
  * debian/javabuild: Likewise.
  * debian/patches/makefile.patch: Removed, no longer needed.
  * debian/patches/java_wrappers.patch: Updated.
  * debian/patches/library_dir_and_name.patch: Likewise.
  * debian/indigo-utils.install: Updated for new cmake build directory.
  * debian/libindigo-dev.install: Likewise.
  * debian/libindigo-dev.dirs: New file.
  * debian/rules (override_dh_makeshlibs): New rule, set libindigo0d
    shlibs versioning information to ">= 1.1".
  * debian/control (python-indigo/Depends): Bump libindigo0d version to 1.1.
  * debian/control (libindigo-java/Depends): Likewise.

  [ Daniel Leidert ]
  * debian/watch: Added.

 -- Michael Banck <mbanck@debian.org>  Fri, 04 May 2012 01:13:03 +0200

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,25 @@
 Priority: extra
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Michael Banck <mbanck@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), javahelper, default-jdk, libjna-java, libcairo2-dev, libtinyxml-dev
-Standards-Version: 3.9.2
+Build-Depends: autotools-dev (>> 20100122.1),
+               cmake,
+               debhelper (>= 7.0.50~),
+               default-jdk,
+               javahelper,
+               libcairo2-dev,
+               libfreetype6-dev,
+               libjna-java,
+               libpng12-dev,
+               libtinyxml-dev,
+               python (>= 2.6.6-3~)
+Standards-Version: 3.9.4
 Homepage: http://ggasoftware.com/opensource/indigo
-Vcs-Browser: http://svn.debian.org/wsvn/debichem/unstable/indigo/
-Vcs-Svn: svn://svn.debian.org/svn/debichem/unstable/indigo/
+Vcs-Browser: http://anonscm.debian.org/viewvc/debichem/unstable/indigo/
+Vcs-Svn: svn://anonscm.debian.org/debichem/unstable/indigo/
 
 Package: indigo-utils
 Architecture: any
-Section: science
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Organic Chemistry Toolkit Utilities
  Indigo is a C++ based organic chemistry and cheminformatics software
  environment.  Features Include:
@@ -28,22 +37,22 @@
   * R-Group deconvolution and scaffold detection
   * Computation of the exact maximum common substructure for an
     arbitrary amount of input structures
-  * Combinatorial chemistry * Plugin support in the API 
+  * Combinatorial chemistry * Plugin support in the API
  .
  File formats Indigo support include MDL Mol, SDF, RDF, CML, SMILES and
  SMARTS.
- . 
+ .
  This package contains the following utilities:
  .
-  * indigo-depict
-  * indigo-cano
-  * indigo-deco
-  * chemdiff
+  * indigo-depict: Molecule and reaction rendering utility
+  * indigo-cano: Canonical SMILES generator
+  * indigo-deco: R-Group deconvolution utility
+  * chemdiff: Visual comparison of two SDF or SMILES files
 
 Package: libindigo0d
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Organic Chemistry Toolkit
  Indigo is a C++ based organic chemistry and cheminformatics software
  environment.  Features Include:
@@ -59,7 +68,7 @@
   * R-Group deconvolution and scaffold detection
   * Computation of the exact maximum common substructure for an
     arbitrary amount of input structures
-  * Combinatorial chemistry * Plugin support in the API 
+  * Combinatorial chemistry * Plugin support in the API
  .
  File formats Indigo support include MDL Mol, SDF, RDF, CML, SMILES and
  SMARTS.
@@ -67,7 +76,7 @@
 Package: libindigo-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends}, ${misc:Depends}, libindigo0d
+Depends: libindigo0d (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Organic Chemistry Toolkit (development files)
  Indigo is a C++ based organic chemistry and cheminformatics software
  environment.  Features Include:
@@ -89,13 +98,16 @@
  File formats Indigo support include MDL Mol, SDF, RDF, CML, SMILES and
  SMARTS.
  .
- This package contains the static libary and header files.
+ This package contains the static library and header files.
 
 Package: python-indigo
 Architecture: all
 Section: python
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libindigo0d
-Description: Organic Chemistry Toolkit (python module)
+Depends: libindigo0d (>= ${source:Version}),
+         ${misc:Depends},
+         ${python:Depends},
+         ${shlibs:Depends}
+Description: Organic Chemistry Toolkit (Python module)
  Indigo is a C++ based organic chemistry and cheminformatics software
  environment.  Features Include:
  .
@@ -116,12 +128,15 @@
  File formats Indigo support include MDL Mol, SDF, RDF, CML, SMILES and
  SMARTS.
  .
- This package contains the python modules.
+ This package contains the Python modules.
 
 Package: libindigo-java
 Architecture: all
 Section: java
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${java:Depends}, libindigo0d
+Depends: libindigo0d (>= ${source:Version}),
+         ${java:Depends},
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: Organic Chemistry Toolkit (Java package)
  Indigo is a C++ based organic chemistry and cheminformatics software
  environment.  Features Include:
